Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 1.5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlgraphics.util
Class QName

    java.lang.Object
      org.apache.xmlgraphics.util.QName

All Implemented Interfaces:
  Serializable

    public class QName

extends Object
implements Serializable

Represents a qualified name of an XML element or an XML attribute.

Note: This class allows to carry a namespace prefix but it is not used in the equals() and hashCode() methods.

See Also:
  Serialized Form

Constructor Summary
`QName(String namespaceURI, String qName)` Main constructor.
`QName(String namespaceURI, String prefix, String localName)` Main constructor.

Method Summary
`boolean` | `equals(Object obj)`
`String` | `getLocalName()`
`String` | `getNamespaceURI()`
`String` | `getPrefix()`
`String` | `getQName()`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### QName

    public QName(String namespaceURI,
                 String prefix,
                 String localName)

  Main constructor.

  Parameters:
    `namespaceURI` - the namespace URI
    `prefix` - the namespace prefix, may be null
    `localName` - the local name

### QName

    public QName(String namespaceURI,
                 String qName)

  Main constructor.

  Parameters:
    `namespaceURI` - the namespace URI
    `qName` - the qualified name

Method Detail

### getNamespaceURI

    public String getNamespaceURI()

  Returns:
    the namespace URI

### getPrefix

    public String getPrefix()

  Returns:
    the namespace prefix

### getLocalName

    public String getLocalName()

  Returns:
    the local name

### getQName

    public String getQName()

  Returns:
    the fully qualified name

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`
  See Also:
    `Object.hashCode()`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`
  See Also:
    `Object.equals(java.lang.Object)`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`
  See Also:
    `Object.toString()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 1.5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.